Implementation and Utilities
============================

This chapter describes the various inner workings that power pretix, most of them living in ``pretix.base``.
If you want to develop around pretix's core or advanced plugins, this aims to describe everything you absolutely
need to know.

Contents:

.. toctree::
   :maxdepth: 2

   models
   urlconfig
   i18n
   settings
   background
   email
   logging
